/**
 * @Author: Bachir Soussi Chiadmi <bach>
 * @Date:   16-04-2017
 * @Email:  bachir@figureslibres.io
 * @Last modified by:   bach
 * @Last modified time: 18-04-2017
 * @License: GPL-V3
 */

require('normalize.css/normalize.css');
require('./fonts/amiri/amiri.css');
require('./fonts/dejavu/dejavu.css');
require('./fonts/opensans/opensans.css');



var m = require('mithril');
// var marked = require('marked');

// var _helpers = require('modules/helpers');
var _dbs = require('./modules/dbs');
var _Tree = require('./modules/tree');
var _Dots = require('./modules/dots');

function init(){
  _dbs.load(function(){
    console.log("Init _dbs.data", _dbs.data);
    console.log("Init _dbs.data_byid", _dbs.data_byid);
    console.log("Init _dbs.data_strct", _dbs.data_strct);
    m.route(document.body, "/tree", {
      "/tree": _Tree,
      "/dots": _Dots,
    });
  });
};



//     ___
//    /   |  ____  ____
//   / /| | / __ \/ __ \
//  / ___ |/ /_/ / /_/ /
// /_/  |_/ .___/ .___/
//       /_/   /_/
// var _App = {
//   view: function(){
//     console.log('_App view', _lang);
//     return [
//       m('header', [
//         m('h1', 'Ethica'),
//         m('aside', {'id':"menus"}, m(_LangMenu) )
//       ]),
//       m(_Tree),
//       m('footer', [
//         m('p', m.trust('© 2017 <a href="./">Ethica Spinoza</a>'))
//       ])
//     ]
//   }
// }


//     _       _ __
//    (_)___  (_) /_
//   / / __ \/ / __/
//  / / / / / / /_
// /_/_/ /_/_/\__/
init()
